/************************************************************************/
/*                                                                      */
/* Nom : bootsect.c                                                     */
/* Auteur : Thomas Petazzoni                                            */
/* Dernire modification : 13/12/1998                                   */
/*                                                                      */
/* Description :                                                        */
/* Place un fichier de 512 octets (par ex : bootsect) sur le premier    */
/* secteur d'une disquette                                              */
/************************************************************************/


#include <bios.h>		/* pour la fonction biosdisk */
#include <stdio.h>
#include <process.h>

void main()

{

	FILE *in;
	unsigned char buffer[520];
	char nom[12];

	printf("\nNom du fichier  placer sur le premier secteur :\n");
	scanf("%s", nom);

	if ((in = fopen(nom, "rb"))==NULL)

	{
		printf("Error loading file\n");
		exit(0);
	}

	fread(&buffer, 512, 1, in);		/* lit le fichier */
	while (biosdisk(3, 0, 0, 0, 1, 1, buffer));	/* l'crit sur la disquette */
	fclose(in);

}
